<?php
/**
 * The template for displaying all single posts.
 */

get_header(); ?>


	<div id="primary" class="content-area uk-margin-large-top uk-width-medium-3-4">
        <?php do_action( 'igaa_before_post_loop' ); ?>
		<main id="main" class="site-main" role="main">

		<?php
		while ( have_posts() ) : the_post();

			get_template_part( 'template-parts/content', 'single' );

			the_post_navigation( array(
            'prev_text'                  => __( 'prev post: %title', 'igaa' ),
            'next_text'                  => __( 'next post: %title', 'igaa' ),
            'screen_reader_text'         => __( 'Continue Reading', 'igaa' ),
        ) );

			// If comments are open or we have at least one comment, load up the comment template.
			if ( comments_open() || get_comments_number() ) :
				comments_template();
			endif;

		endwhile; // End of the loop.
		?>

		</main><!-- #main -->
        <?php do_action( 'igaa_after_post_loop' ); ?>
	</div><!-- #primary -->

<?php
get_sidebar();
get_footer();
